#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: index.cgi,v 1.2.4.1 2003/04/18 12:37:08 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines.
  require "INITCONFIG-lib.pl";

  ###  Print the usual header.
  &header("Initial Configuration", 0);


  ###  Now print the pretty HTML.
  print <<EOF;
<P><CENTER>
  <FORM ACTION="step_01.cgi" METHOD="POST">
  <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="620">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle"><B>
      Initial Configuration
    </B></DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      <B>Welcome to EnGarde Secure Linux Community Edition!</B>

      <P>Before you can use EnGarde you must finish your machines initial
      configuration.  When the process is complete you will be asked to reboot
      your machine so the changes can take effect.

      <P>This module will take you through the following steps:

      <P><TABLE BORDER="0" WIDTH="600" CELLPADDINg="0" CELLSPACING="0">
      <TR $cb>
        <TD WIDTH="10"> &nbsp; </TD>
        <TD><DIV CLASS="nbody"><B> 1. Passwords and Access Control </B> </DIV></TD>
        <TD><DIV CLASS="nbody">
          Setup your root, LIDS, MySQL, and WebTool  passwords.
        </DIV></TD>
      </TR>

      <TR $cb>
        <TD WIDTH="10"> &nbsp; </TD>
        <TD><DIV CLASS="nbody"><B> 2. Locale and Time Setup </B> </DIV></TD>
        <TD><DIV CLASS="nbody">
          Define your systems locale, time, and time servers.
        </DIV></TD>
      </TR>

      <TR $cb>
        <TD WIDTH="10"> &nbsp; </TD>
        <TD><DIV CLASS="nbody"><B> 3. Firewall and Service Configuration </B> </DIV></TD>
        <TD><DIV CLASS="nbody">
          Configure your firewall and define what services this machine should provide.
        </DIV></TD>
      </TR>
      </TABLE>

      <BR>While using the Guardian Digital WebTool to configure the
      community-supported edition of EnGarde Secure Linux, you will notice the
      display of several features only available in server versions of EnGarde
      Secure Linux available from Guardian Digital. These features are
      components of Guardian Digital's enterprise server products, including
      the Secure Mail Suite and Internet Acceleration & Management (IAM) Server.

      <BR><BR>For further information about server versions of EnGarde or other
      Guardian Digital enterprise applications, please visit Guardian Digital
      on the Web or your local Guardian Digital representative.
    </TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD COLSPAN="2" ALIGN="RIGHT"><DIV CLASS="toolfont">
      <INPUT TYPE="SUBMIT" VALUE="Begin Configuration">
    </DIV></TD>
  </TR>
  </TABLE>
  </FORM>
</CENTER><P>
EOF


  ###  Print the usual footer.
  &ryanFooter("/SystemManager/");

