#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001, Guardian Digital Inc.
 | $Id: step_01.cgi,v 1.2 2002/05/16 19:16:13 rwm Exp $
 |
 | Ryan W. Maple, <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines.
  require "INITCONFIG-lib.pl";

  ###  Setup local variables.
  my ($root_help_1, $root_help_2);
  my ($webtool_help_1, $webtool_help_2);

  ###  Define local variables.
  $root_help_1     =  &hlink("Enter Root Password",     "root_pass");
  $root_help_2     =  &hlink("Verify Root Password" ,   "root_pass");
  $webtool_help_1  =  &hlink("Enter WebTool Password",  "webtool_pass");
  $webtool_help_2  =  &hlink("Verify WebTool Password", "webtool_pass");
  $allow_help      =  &hlink("Trusted Host List",       "allow");


  ###  Print the usual header.
  &header("Initial Configuration :: Passwords and Access Control (1/3)", 0);


  ###  Now print the pretty HTML.
  print <<EOF;
<P><CENTER>
  <FORM ACTION="do_step_01.cgi" METHOD="POST">
  <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="620">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle"><B>
      Initial Configuration :: Passwords and Access Control 
    </B></DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      Below you will change your root password, your WebTool password, and you
      will define what IP addresses can access the WebTool.
    </TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD WIDTH="10"> &nbsp; </TD>
    <TD>
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
      <TR $tb>
        <TD COLSPAN="5"><DIV CLASS="thead"><B>Root Password</B></DIV></TD>
      </TR>

      <TR $cb>
        <TD><DIV CLASS="nbody"><B>$root_help_1</B></DIV></TD>
        <TD><INPUT TYPE="PASSWORD" NAME="root1"></TD>
        <TD> &nbsp; </TD>
        <TD><DIV CLASS="nbody"><B>$root_help_2</B></DIV></TD>
        <TD><INPUT TYPE="PASSWORD" NAME="root2"></TD>
      </TR>

      <TR> <TD COLSPAN="5"> &nbsp; </TD> </TR>


      <TR $tb>
        <TD COLSPAN="5"><DIV CLASS="thead"><B>WebTool Password</B></DIV></TD>
      </TR>

      <TR $cb>
        <TD><DIV CLASS="nbody"><B>$webtool_help_1</B></DIV></TD>
        <TD><INPUT TYPE="PASSWORD" NAME="webtool1"></TD>
        <TD> &nbsp; </TD>
        <TD><DIV CLASS="nbody"><B>$webtool_help_2</B></DIV></TD>
        <TD><INPUT TYPE="PASSWORD" NAME="webtool2"></TD>
      </TR>

      <TR> <TD COLSPAN="5"> &nbsp; </TD> </TR>


      <TR $tb>
        <TD COLSPAN="5"><DIV CLASS="thead"><B>WebTool Access Control</B></DIV></TD>
      </TR>

      <TR $cb>
        <TD><DIV CLASS="nbody"><B>$allow_help</B></DIV></TD>
        <TD>
          <TEXTAREA NAME="allow" ROWS="6" COLS="15" WRAP="VIRTUAL"></TEXTAREA>
        </TD>
        <TD COLSPAN="3"><DIV CLASS="nbody">
          These addresses can be any of the form:

          <OL>
            <LI><B>IP Networks</B> (eg, 192.168.1.0)</LI>
            <LI><B>IP Addresses</B> (eg, 192.168.1.10)</LI>
          </OL>
        </TD>
      </TR>
      </TABLE>
    </TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2" ALIGN="RIGHT"><DIV CLASS="toolfont">
      <INPUT TYPE="SUBMIT" NAME="save" VALUE="Save and Proceed">
    </DIV></TD>
  </TR>
  </TABLE>
  </FORM>
</CENTER><P>
EOF


  ###  Print the usual footer.
  &ryanFooter("index.cgi");

